#! /bin/bash
set -e

# take and build the theme
git clone https://github.com/matze/mtheme.git
pushd mtheme
make sty
make install sty
popd

# compile the slides
pushd slides
latexmk -pdf *.tex
popd

# Move things to the right place
rm -rf slides_pdf/
mkdir -p slides_pdf/
mv slides/*.pdf slides_pdf/
